.search-form {
    position: relative;

    &__input {
        width: 100%;
        display: block;
        font-weight: 400;
        position: relative;
        background: transparent;
        $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

        #{$input-selector} {
            margin: 0;
            width: 100%;
            border: none;
            outline: none;
            display: block;
            height: rem(60);
            color: $dark;
            font-weight: 500;
            font-size: rem(14);
            line-height: rem(19);
            vertical-align: middle;
            background: transparent;
            padding: rem(20) rem(40) rem(20) 0;
            border-bottom: 1px solid $gray-200;
            @include placeholder(#828282);

            &::-ms-clear {
                display: none;
                width: 0;
                height: 0;
            }

            &:focus,
            &:active {
                outline: none;
                @include placeholder(transparent);
            }
        }
    }

    &__button {
        top: 0;
        right: 0;
        bottom: 0;
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        position: absolute;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__icon {
        z-index: 10;
        height: 20px;
        font-size: 0;
        line-height: 0;
        display: inline-block;
        flex-shrink: 0;
    }


    @include media-breakpoint-up(xl) {

        &__icon {
            right: 0;
        }
    }
}
